<!DOCTYPE html>
<html xmlns:v-bind="http://www.w3.org/1999/xhtml">

<head>
	<meta charset="utf-8">
	<title>Inventário Mercadinho - Início</title>
	<link rel="stylesheet" type="text/css" href="resources/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="resources/css/bootstrap-vue.css">
	<link rel="stylesheet" type="text/css" href="resources/css/global.css">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">
</head>

<body>


<div id="inicio" class="container-fluid no-gutters">

	<nav class="navbar navbar-expand-lg navbar-light bg-light">
		<a class="navbar-brand" href="#">Mercado</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarTogglerDemo02">

		</div>
	</nav>

	<div class="col-md-12" v-if="loading">
		Carregando...
	</div>

	<div class="container mt-5">

		<div class="row" v-if="!loading">

			<!-- alerta -->
			<div class="col-md-12">
				<div v-bind:class="[alertaTipo]">
					<b>{{ alertaTitulo }}</b>
					<span>{{ alertaTexto }}</span>
				</div>
			</div>

			<div class="col-md-12">
				<h4>Lista de Produtos</h4>
				<hr>
				<table class="table table-bordered table-hover table-sm">
					<thead>
						<tr>
							<th>Nome</th>
							<th>Fabricante</th>
							<th>Volume</th>
							<th>Unidade</th>
							<th>Estoque</th>
							<th colspan="2"></th>
						</tr>
					</thead>
					<tbody id="event-table" >
						<tr v-for="produto in listaProdutos">
							<td>{{ produto.nome }}</td>
							<td>{{ produto.fabricante.nome }}</td>
							<td>{{ produto.volume }}</td>
							<td>{{ produto.unidade }}</td>
							<td>{{ produto.estoque }}</td>
							<td class="text-center custom-action-link">
								<span class="orange" @click="editarProduto(produto.id)">
									<i class="fa fa-edit fa-fw"></i>
								</span>
							</td>
							<td class="text-center custom-action-link">
								<span class="firebrick" @click="removerProduto(produto.id)">
									<i class="fa fa-times fa-fw"></i>
								</span>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	<div class="container mt-5">
		<div class="row" v-if="!loading">
			<div class="col-md-12">
				<h4>Cadastro de produtos</h4>
				<hr>
			</div>
			<div class="col-md-12">
				<div class="form-group">
					<label for="input-nome"><b>Nome</b></label>
					<input id="input-nome" type="text" class="form-control" placeholder="Nome" v-model="produto.nome">
				</div>
				<div class="form-group">
					<label for="input-volume"><b>Volume</b></label>
					<input id="input-volume" type="text" class="form-control" placeholder="Volume" v-model="produto.volume">
				</div>
				<div class="form-group">
					<label for="input-unidade"><b>Unidade</b></label>
					<input id="input-unidade" type="text" class="form-control" placeholder="Unidade" v-model="produto.unidade">
				</div>
				<div class="form-group">
					<label for="input-estoque"><b>Estoque</b></label>
					<input id="input-estoque" type="text" class="form-control" placeholder="Estoque" v-model="produto.estoque">
				</div>
				<div class="form-group">
					<label for="select-fabricante"><b>Fornecedor</b></label>
					<select id="select-fabricante" class="form-control" v-model="produto.fabricante">
						<option value="">Selecione</option>
						<option v-for="fabricante in listaFabricantes" :value="fabricante" >
							{{ fabricante.nome }}
						</option>
					</select>
				</div>
				<div class="form-group text-right">
					<button class="btn btn-default" @click="limpar()">Limpar</button>&nbsp;
					<button class="btn btn-primary" @click="cadastrarProduto()" v-if="!editing">Cadastrar</button>
					<button class="btn btn-warning" @click="confirmarEdicao()" v-if="editing">Alterar</button>
				</div>
			</div>
		</div>
	</div>
</div>

<script src="resources/js/vue.js"></script>
<script src="resources/js/axios.min.js"></script>
<script src="resources/js/bootstrap-vue.js"></script>
<script src="resources/js/bootstrap.min.js"></script>
<script src="resources/js/index.js"></script>
</body>
</html>